---
title: HTMLElement.contextMenu
slug: Web/API/HTMLElement/contextMenu
tags:
  - API
  - Deprecated
  - Element
  - HTML
  - HTML DOM
  - Property
  - Reference
  - UX
---
<div>{{APIRef("HTML DOM")}}{{deprecated_header()}}
<p>The <code><strong>HTMLElement.contextMenu</strong></code> property refers to the context menu assigned to an element using the {{htmlattrxref("contextmenu")}} attribute. The menu itself is created using the {{HTMLElement("menu")}} element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>elementContextMenu</var> = <var>element</var>.contextMenu;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var contextMenu = document.getElementById("element").contextMenu;

// Change the label of the first menu entry
contextMenu.firstElementChild.label = "New label";
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLElement.contextMenu")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{htmlattrxref("contextmenu")}}</li>
 <li>{{HTMLElement("menu")}}</li>
 <li>{{HTMLElement("menuitem")}}</li>
</ul>
</div>
